Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.cfg
[Groovy] Class JoinTable

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.JoinTable

    class JoinTable

Represents a Join table in Grails mapping. It has a name which represents the name of the table, a key for the primary key and a column which is the other side of the join.

Authors:
  Graeme Rocher

Since:
  1.0 Created: Oct 8, 2007

Property Summary
`ColumnConfig` | `column`
`ColumnConfig` | `key`
`java.lang.String` | `name`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### column

    ColumnConfig column

### key

    ColumnConfig key

### name

    java.lang.String name

Groovy Documentation